VisualEditor: Tool to set/unset text as superscript
Closed, ResolvedPublic

bzimport set Reference to bz51611.
Jdforrester-WMF created this task.Via LegacyJul 18 2013, 2:45 PM
Thryduulf added a comment.Via ConduitJul 31 2013, 9:38 AM

A user at en.wp has noted the lack of a tool to set superscript means that the article [[Spiral Dynamics]] cannot be completely edited in VE.

The ability to set superscript and subscript are essential features for writing about many articles in the science, maths and technology fields, so it should be a core competence of the VisualEditor rather than a low-priority enhancement.

Jdforrester-WMF added a comment.Via ConduitJul 31 2013, 8:54 PM

As explained elsewhere, this is trivial to do but would make the toolbar (even more) unwieldy for all users, and so I de-prioritised it whilst waiting for a way to have lots of these icons available without filling everyone's screens with buttons most of them don't want to touch.

We're working right now on a first draft which we think will help with the clutter, at which point making these tools is a work of minutes.

gerritbot added a comment.Via ConduitAug 10 2013, 6:36 AM

Change 78490 had a related patch set uploaded by Steven Zhang:
Add a superscript tool

https://gerrit.wikimedia.org/r/78490

gerritbot added a comment.Via ConduitAug 16 2013, 2:15 AM

Change 78490 merged by jenkins-bot:
Create a superscript tool

https://gerrit.wikimedia.org/r/78490

Jdforrester-WMF added a comment.Via ConduitAug 16 2013, 2:23 AM

Now merged into master; will be deployed (as experimental) in the next push (so will be available on MediaWiki.org) - we will make this available to production wikis next week when we re-work the toolbar.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.